YPXFR(8)

NAME
ypxfr - get a YP map from YP server

SYNOPSIS
ypxfr [-cf] [-C tid prog ipadd port] [-d domain] [-h host] [-s domain] mapname

DESCRIPTION
ypxfr is the utility in YP that transfers maps to the local host.

Since the YP master transfers a map when it has changed, an YP slave should check for missed maps regularly. This can be done via an entry in crontab(5). The scripts ypxfr_1perhour, ypxfr_2perday and ypxfr_1perday could be used for that.

The options are as follows:

-C tid prog ipadd port
    This option is only used by ypserv. This is to open communication with a yppush on another host.

-c  Don't send a "Clear current map" to local ypserv process. Useful if ypserv isn't running localy to avoid timeout message.

-d domain
    Don't use default domain, use the specified domain.

-f  Force map transfer, even if version of master is older than local copy.

-h host
    Get map from host instead of the maps master host.

-s domain
    Specify a source domain other than the target domain.

FILES
/usr/sbin/ypxfr_1perhour
/usr/sbin/ypxfr_2perday
/usr/sbin/ypxfr_1perday

SEE ALSO
yp(8), yppush(8), ypserv(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>